<?php

use Illuminate\Support\Facades\Route;

// --- pro: my_payment_schedule --- //
Route::get('/my_payment_schedule', 'my_payment_schedule_Controller@index')->name('my_payment_schedule-index');

// --- pro: my_teams --- //
Route::get('/my_teams', 'my_teams_Controller@index')->name('my_teams-index');
Route::get('/my_teams/add_new', 'my_teams_Controller@add_new')->name('my_teams-add_new');
Route::get('/my_teams/view/{uid}', 'my_teams_Controller@view')->name('my_teams-view');

// --- pro: my_teams_SINGLE --- //
Route::get('/my_teams/view/{uid}/ACTION_updateTeamNumber', 'my_teams_SINGLE_Controller@ACTION_updateTeamNumber')->name('my_teams_SINGLE-ACTION_updateTeamNumber');
Route::get('/my_teams/view/{uid}/ACTION_deactivate', 'my_teams_SINGLE_Controller@ACTION_deactivate')->name('my_teams_SINGLE-ACTION_deactivate');
Route::get('/my_teams/view/{uid}/ACTION_updateDeactivationMemo', 'my_teams_SINGLE_Controller@ACTION_updateDeactivationMemo')->name('my_teams_SINGLE-ACTION_updateDeactivationMemo');
Route::get('/my_teams/view/{uid}/ACTION_reactivate', 'my_teams_SINGLE_Controller@ACTION_reactivate')->name('my_teams_SINGLE-ACTION_reactivate');
Route::get('/my_teams/view/{uid}/ACTION_updateReactivationMemo', 'my_teams_SINGLE_Controller@ACTION_updateReactivationMemo')->name('my_teams_SINGLE-ACTION_updateReactivationMemo');
Route::get('/my_teams/view/{uid}/SUB_dashboard', 'my_teams_SINGLE_Controller@SUB_dashboard')->name('my_teams_SINGLE-SUB_dashboard');
Route::get('/my_teams/view/{uid}/SUB_clients', 'my_teams_SINGLE_Controller@SUB_clients')->name('my_teams_SINGLE-SUB_clients');
Route::get('/my_teams/view/{uid}/SUB_audit_log', 'my_teams_SINGLE_Controller@SUB_audit_log')->name('my_teams_SINGLE-SUB_audit_log');
Route::get('/my_teams/view/{uid}/ACTION_clientsAddNew', 'my_teams_SINGLE_Controller@ACTION_clientsAddNew')->name('my_teams_SINGLE-ACTION_clientsAddNew');

// --- pro: my_clients --- //
Route::get('/my_clients', 'my_clients_Controller@index')->name('my_clients-index');
Route::get('/my_clients/add_new', 'my_clients_Controller@add_new')->name('my_clients-add_new');
Route::get('/my_clients/view/{uid}', 'my_clients_Controller@view')->name('my_clients-view');

// --- pro: my_clients_SINGLE --- //
Route::get('/my_clients/view/{uid}/ACTION_sendCellNumberConfirmationMessage', 'my_clients_SINGLE_Controller@ACTION_sendCellNumberConfirmationMessage')->name('my_clients_SINGLE-ACTION_sendCellNumberConfirmationMessage');
Route::get('/my_clients/view/{uid}/ACTION_putNewCellNumber', 'my_clients_SINGLE_Controller@ACTION_putNewCellNumber')->name('my_clients_SINGLE-ACTION_putNewCellNumber');
Route::get('/my_clients/view/{uid}/ACTION_sendEmailAddressConfirmationMessage', 'my_clients_SINGLE_Controller@ACTION_sendEmailAddressConfirmationMessage')->name('my_clients_SINGLE-ACTION_sendEmailAddressConfirmationMessage');
Route::get('/my_clients/view/{uid}/ACTION_putNewEmailAddress', 'my_clients_SINGLE_Controller@ACTION_putNewEmailAddress')->name('my_clients_SINGLE-ACTION_putNewEmailAddress');
Route::get('/my_clients/view/{uid}/ACTION_putTeam', 'my_clients_SINGLE_Controller@ACTION_putTeam')->name('my_clients_SINGLE-ACTION_putTeam');
Route::get('/my_clients/view/{uid}/ACTION_removeTeam', 'my_clients_SINGLE_Controller@ACTION_removeTeam')->name('my_clients_SINGLE-ACTION_removeTeam');
Route::get('/my_clients/view/{uid}/ACTION_putMcp', 'my_clients_SINGLE_Controller@ACTION_putMcp')->name('my_clients_SINGLE-ACTION_putMcp');
Route::get('/my_clients/view/{uid}/ACTION_removeMcp', 'my_clients_SINGLE_Controller@ACTION_removeMcp')->name('my_clients_SINGLE-ACTION_removeMcp');
Route::get('/my_clients/view/{uid}/ACTION_putAlly', 'my_clients_SINGLE_Controller@ACTION_putAlly')->name('my_clients_SINGLE-ACTION_putAlly');
Route::get('/my_clients/view/{uid}/ACTION_removeAlly', 'my_clients_SINGLE_Controller@ACTION_removeAlly')->name('my_clients_SINGLE-ACTION_removeAlly');
Route::get('/my_clients/view/{uid}/ACTION_putName', 'my_clients_SINGLE_Controller@ACTION_putName')->name('my_clients_SINGLE-ACTION_putName');
Route::get('/my_clients/view/{uid}/ACTION_putGender', 'my_clients_SINGLE_Controller@ACTION_putGender')->name('my_clients_SINGLE-ACTION_putGender');
Route::get('/my_clients/view/{uid}/ACTION_putDateOfBirth', 'my_clients_SINGLE_Controller@ACTION_putDateOfBirth')->name('my_clients_SINGLE-ACTION_putDateOfBirth');
Route::get('/my_clients/view/{uid}/ACTION_putProfilePicture', 'my_clients_SINGLE_Controller@ACTION_putProfilePicture')->name('my_clients_SINGLE-ACTION_putProfilePicture');
Route::get('/my_clients/view/{uid}/ACTION_removeProfilePicture', 'my_clients_SINGLE_Controller@ACTION_removeProfilePicture')->name('my_clients_SINGLE-ACTION_removeProfilePicture');
Route::get('/my_clients/view/{uid}/ACTION_updatePhoneInfo', 'my_clients_SINGLE_Controller@ACTION_updatePhoneInfo')->name('my_clients_SINGLE-ACTION_updatePhoneInfo');
Route::get('/my_clients/view/{uid}/ACTION_updateAddress', 'my_clients_SINGLE_Controller@ACTION_updateAddress')->name('my_clients_SINGLE-ACTION_updateAddress');
Route::get('/my_clients/view/{uid}/ACTION_updateMedicareNumber', 'my_clients_SINGLE_Controller@ACTION_updateMedicareNumber')->name('my_clients_SINGLE-ACTION_updateMedicareNumber');
Route::get('/my_clients/view/{uid}/ACTION_manuallySetIsPartBPrimaryConfirmedToTrue', 'my_clients_SINGLE_Controller@ACTION_manuallySetIsPartBPrimaryConfirmedToTrue')->name('my_clients_SINGLE-ACTION_manuallySetIsPartBPrimaryConfirmedToTrue');
Route::get('/my_clients/view/{uid}/ACTION_manuallySetIsPartBPrimaryConfirmedToFalse', 'my_clients_SINGLE_Controller@ACTION_manuallySetIsPartBPrimaryConfirmedToFalse')->name('my_clients_SINGLE-ACTION_manuallySetIsPartBPrimaryConfirmedToFalse');
Route::get('/my_clients/view/{uid}/ACTION_setHasMcpDoneEmVisitToTrue', 'my_clients_SINGLE_Controller@ACTION_setHasMcpDoneEmVisitToTrue')->name('my_clients_SINGLE-ACTION_setHasMcpDoneEmVisitToTrue');
Route::get('/my_clients/view/{uid}/ACTION_updateMcpEmVisitInfo', 'my_clients_SINGLE_Controller@ACTION_updateMcpEmVisitInfo')->name('my_clients_SINGLE-ACTION_updateMcpEmVisitInfo');
Route::get('/my_clients/view/{uid}/ACTION_setHasMcpDoneEmVisitToFalse', 'my_clients_SINGLE_Controller@ACTION_setHasMcpDoneEmVisitToFalse')->name('my_clients_SINGLE-ACTION_setHasMcpDoneEmVisitToFalse');
Route::get('/my_clients/view/{uid}/ACTION_putCrmReasons', 'my_clients_SINGLE_Controller@ACTION_putCrmReasons')->name('my_clients_SINGLE-ACTION_putCrmReasons');
Route::get('/my_clients/view/{uid}/ACTION_removeCrmReasons', 'my_clients_SINGLE_Controller@ACTION_removeCrmReasons')->name('my_clients_SINGLE-ACTION_removeCrmReasons');
Route::get('/my_clients/view/{uid}/ACTION_setIsClientEnrolledInCmToTrue', 'my_clients_SINGLE_Controller@ACTION_setIsClientEnrolledInCmToTrue')->name('my_clients_SINGLE-ACTION_setIsClientEnrolledInCmToTrue');
Route::get('/my_clients/view/{uid}/ACTION_setIsClientEnrolledInCmToFalse', 'my_clients_SINGLE_Controller@ACTION_setIsClientEnrolledInCmToFalse')->name('my_clients_SINGLE-ACTION_setIsClientEnrolledInCmToFalse');
Route::get('/my_clients/view/{uid}/ACTION_updateWhyNotEnrolledInCm', 'my_clients_SINGLE_Controller@ACTION_updateWhyNotEnrolledInCm')->name('my_clients_SINGLE-ACTION_updateWhyNotEnrolledInCm');
Route::get('/my_clients/view/{uid}/ACTION_setIsClientEnrolledInRmToTrue', 'my_clients_SINGLE_Controller@ACTION_setIsClientEnrolledInRmToTrue')->name('my_clients_SINGLE-ACTION_setIsClientEnrolledInRmToTrue');
Route::get('/my_clients/view/{uid}/ACTION_setIsClientEnrolledInRmToFalse', 'my_clients_SINGLE_Controller@ACTION_setIsClientEnrolledInRmToFalse')->name('my_clients_SINGLE-ACTION_setIsClientEnrolledInRmToFalse');
Route::get('/my_clients/view/{uid}/ACTION_updateWhyNotEnrolledInRm', 'my_clients_SINGLE_Controller@ACTION_updateWhyNotEnrolledInRm')->name('my_clients_SINGLE-ACTION_updateWhyNotEnrolledInRm');
Route::get('/my_clients/view/{uid}/ACTION_updateIntakeInfo', 'my_clients_SINGLE_Controller@ACTION_updateIntakeInfo')->name('my_clients_SINGLE-ACTION_updateIntakeInfo');
Route::get('/my_clients/view/{uid}/ACTION_deactivate', 'my_clients_SINGLE_Controller@ACTION_deactivate')->name('my_clients_SINGLE-ACTION_deactivate');
Route::get('/my_clients/view/{uid}/ACTION_updateDeactivationMemo', 'my_clients_SINGLE_Controller@ACTION_updateDeactivationMemo')->name('my_clients_SINGLE-ACTION_updateDeactivationMemo');
Route::get('/my_clients/view/{uid}/ACTION_reactivate', 'my_clients_SINGLE_Controller@ACTION_reactivate')->name('my_clients_SINGLE-ACTION_reactivate');
Route::get('/my_clients/view/{uid}/ACTION_updateReactivationMemo', 'my_clients_SINGLE_Controller@ACTION_updateReactivationMemo')->name('my_clients_SINGLE-ACTION_updateReactivationMemo');
Route::get('/my_clients/view/{uid}/SUB_dashboard', 'my_clients_SINGLE_Controller@SUB_dashboard')->name('my_clients_SINGLE-SUB_dashboard');
Route::get('/my_clients/view/{uid}/SUB_med_profile', 'my_clients_SINGLE_Controller@SUB_med_profile')->name('my_clients_SINGLE-SUB_med_profile');
Route::get('/my_clients/view/{uid}/SUB_med_profile_log', 'my_clients_SINGLE_Controller@SUB_med_profile_log')->name('my_clients_SINGLE-SUB_med_profile_log');
Route::get('/my_clients/view/{uid}/SUB_pro_access', 'my_clients_SINGLE_Controller@SUB_pro_access')->name('my_clients_SINGLE-SUB_pro_access');
Route::get('/my_clients/view/{uid}/SUB_notes', 'my_clients_SINGLE_Controller@SUB_notes')->name('my_clients_SINGLE-SUB_notes');
Route::get('/my_clients/view/{uid}/SUB_care_months', 'my_clients_SINGLE_Controller@SUB_care_months')->name('my_clients_SINGLE-SUB_care_months');
Route::get('/my_clients/view/{uid}/SUB_care_month_entries', 'my_clients_SINGLE_Controller@SUB_care_month_entries')->name('my_clients_SINGLE-SUB_care_month_entries');
Route::get('/my_clients/view/{uid}/SUB_bills', 'my_clients_SINGLE_Controller@SUB_bills')->name('my_clients_SINGLE-SUB_bills');
Route::get('/my_clients/view/{uid}/SUB_related_transactions', 'my_clients_SINGLE_Controller@SUB_related_transactions')->name('my_clients_SINGLE-SUB_related_transactions');
Route::get('/my_clients/view/{uid}/SUB_action_items', 'my_clients_SINGLE_Controller@SUB_action_items')->name('my_clients_SINGLE-SUB_action_items');
Route::get('/my_clients/view/{uid}/SUB_erx', 'my_clients_SINGLE_Controller@SUB_erx')->name('my_clients_SINGLE-SUB_erx');
Route::get('/my_clients/view/{uid}/SUB_mcp_updates', 'my_clients_SINGLE_Controller@SUB_mcp_updates')->name('my_clients_SINGLE-SUB_mcp_updates');
Route::get('/my_clients/view/{uid}/SUB_ally_updates', 'my_clients_SINGLE_Controller@SUB_ally_updates')->name('my_clients_SINGLE-SUB_ally_updates');
Route::get('/my_clients/view/{uid}/SUB_audit_log', 'my_clients_SINGLE_Controller@SUB_audit_log')->name('my_clients_SINGLE-SUB_audit_log');
Route::get('/my_clients/view/{uid}/ACTION_pro_accessAddNew', 'my_clients_SINGLE_Controller@ACTION_pro_accessAddNew')->name('my_clients_SINGLE-ACTION_pro_accessAddNew');
Route::get('/my_clients/view/{uid}/ACTION_notesAddNew', 'my_clients_SINGLE_Controller@ACTION_notesAddNew')->name('my_clients_SINGLE-ACTION_notesAddNew');
Route::get('/my_clients/view/{uid}/ACTION_care_monthsAddNew', 'my_clients_SINGLE_Controller@ACTION_care_monthsAddNew')->name('my_clients_SINGLE-ACTION_care_monthsAddNew');
Route::get('/my_clients/view/{uid}/ACTION_action_itemsAddNew', 'my_clients_SINGLE_Controller@ACTION_action_itemsAddNew')->name('my_clients_SINGLE-ACTION_action_itemsAddNew');
Route::get('/my_clients/view/{uid}/ACTION_erxAddNew', 'my_clients_SINGLE_Controller@ACTION_erxAddNew')->name('my_clients_SINGLE-ACTION_erxAddNew');

// --- pro: notes --- //
Route::get('/notes', 'notes_Controller@index')->name('notes-index');
Route::get('/notes/view/{uid}', 'notes_Controller@view')->name('notes-view');

// --- pro: notes_SINGLE --- //
Route::get('/notes/view/{uid}/ACTION_signAsHcp', 'notes_SINGLE_Controller@ACTION_signAsHcp')->name('notes_SINGLE-ACTION_signAsHcp');
Route::get('/notes/view/{uid}/SUB_dashboard', 'notes_SINGLE_Controller@SUB_dashboard')->name('notes_SINGLE-SUB_dashboard');
Route::get('/notes/view/{uid}/SUB_bills', 'notes_SINGLE_Controller@SUB_bills')->name('notes_SINGLE-SUB_bills');
Route::get('/notes/view/{uid}/SUB_audit_log', 'notes_SINGLE_Controller@SUB_audit_log')->name('notes_SINGLE-SUB_audit_log');
Route::get('/notes/view/{uid}/ACTION_billsAddNew', 'notes_SINGLE_Controller@ACTION_billsAddNew')->name('notes_SINGLE-ACTION_billsAddNew');

// --- pro: erx --- //
Route::get('/erx', 'erx_Controller@index')->name('erx-index');
Route::get('/erx/view/{uid}', 'erx_Controller@view')->name('erx-view');

// --- pro: erx_SINGLE --- //
Route::get('/erx/view/{uid}/ACTION_signAsPrescriber', 'erx_SINGLE_Controller@ACTION_signAsPrescriber')->name('erx_SINGLE-ACTION_signAsPrescriber');
Route::get('/erx/view/{uid}/ACTION_updateToFacility', 'erx_SINGLE_Controller@ACTION_updateToFacility')->name('erx_SINGLE-ACTION_updateToFacility');
Route::get('/erx/view/{uid}/ACTION_updateContent', 'erx_SINGLE_Controller@ACTION_updateContent')->name('erx_SINGLE-ACTION_updateContent');
Route::get('/erx/view/{uid}/ACTION_updateStatus', 'erx_SINGLE_Controller@ACTION_updateStatus')->name('erx_SINGLE-ACTION_updateStatus');
Route::get('/erx/view/{uid}/ACTION_efax', 'erx_SINGLE_Controller@ACTION_efax')->name('erx_SINGLE-ACTION_efax');
Route::get('/erx/view/{uid}/SUB_dashboard', 'erx_SINGLE_Controller@SUB_dashboard')->name('erx_SINGLE-SUB_dashboard');
Route::get('/erx/view/{uid}/SUB_audit_log', 'erx_SINGLE_Controller@SUB_audit_log')->name('erx_SINGLE-SUB_audit_log');

// --- pro: action_items --- //
Route::get('/action_items', 'action_items_Controller@index')->name('action_items-index');
Route::get('/action_items/view/{uid}', 'action_items_Controller@view')->name('action_items-view');

// --- pro: action_items_SINGLE --- //
Route::get('/action_items/view/{uid}/ACTION_signAsPrescriber', 'action_items_SINGLE_Controller@ACTION_signAsPrescriber')->name('action_items_SINGLE-ACTION_signAsPrescriber');
Route::get('/action_items/view/{uid}/ACTION_updateToFacility', 'action_items_SINGLE_Controller@ACTION_updateToFacility')->name('action_items_SINGLE-ACTION_updateToFacility');
Route::get('/action_items/view/{uid}/ACTION_updateContent', 'action_items_SINGLE_Controller@ACTION_updateContent')->name('action_items_SINGLE-ACTION_updateContent');
Route::get('/action_items/view/{uid}/ACTION_updateStatus', 'action_items_SINGLE_Controller@ACTION_updateStatus')->name('action_items_SINGLE-ACTION_updateStatus');
Route::get('/action_items/view/{uid}/ACTION_efax', 'action_items_SINGLE_Controller@ACTION_efax')->name('action_items_SINGLE-ACTION_efax');
Route::get('/action_items/view/{uid}/SUB_dashboard', 'action_items_SINGLE_Controller@SUB_dashboard')->name('action_items_SINGLE-SUB_dashboard');
Route::get('/action_items/view/{uid}/SUB_audit_log', 'action_items_SINGLE_Controller@SUB_audit_log')->name('action_items_SINGLE-SUB_audit_log');

// --- pro: care_months --- //
Route::get('/care_months', 'care_months_Controller@index')->name('care_months-index');
Route::get('/care_months/view/{uid}', 'care_months_Controller@view')->name('care_months-view');

// --- pro: care_months_SINGLE --- //
Route::get('/care_months/view/{uid}/ACTION_putMcpPro', 'care_months_SINGLE_Controller@ACTION_putMcpPro')->name('care_months_SINGLE-ACTION_putMcpPro');
Route::get('/care_months/view/{uid}/ACTION_putAllyPro', 'care_months_SINGLE_Controller@ACTION_putAllyPro')->name('care_months_SINGLE-ACTION_putAllyPro');
Route::get('/care_months/view/{uid}/ACTION_putReasons', 'care_months_SINGLE_Controller@ACTION_putReasons')->name('care_months_SINGLE-ACTION_putReasons');
Route::get('/care_months/view/{uid}/ACTION_setIsClientEnrolledInCmToTrue', 'care_months_SINGLE_Controller@ACTION_setIsClientEnrolledInCmToTrue')->name('care_months_SINGLE-ACTION_setIsClientEnrolledInCmToTrue');
Route::get('/care_months/view/{uid}/ACTION_setIsClientEnrolledInCmToFalse', 'care_months_SINGLE_Controller@ACTION_setIsClientEnrolledInCmToFalse')->name('care_months_SINGLE-ACTION_setIsClientEnrolledInCmToFalse');
Route::get('/care_months/view/{uid}/ACTION_updateWhyNotEnrolledInCm', 'care_months_SINGLE_Controller@ACTION_updateWhyNotEnrolledInCm')->name('care_months_SINGLE-ACTION_updateWhyNotEnrolledInCm');
Route::get('/care_months/view/{uid}/ACTION_setIsClientEnrolledInRmToTrue', 'care_months_SINGLE_Controller@ACTION_setIsClientEnrolledInRmToTrue')->name('care_months_SINGLE-ACTION_setIsClientEnrolledInRmToTrue');
Route::get('/care_months/view/{uid}/ACTION_setIsClientEnrolledInRmToFalse', 'care_months_SINGLE_Controller@ACTION_setIsClientEnrolledInRmToFalse')->name('care_months_SINGLE-ACTION_setIsClientEnrolledInRmToFalse');
Route::get('/care_months/view/{uid}/ACTION_updateWhyNotEnrolledInRm', 'care_months_SINGLE_Controller@ACTION_updateWhyNotEnrolledInRm')->name('care_months_SINGLE-ACTION_updateWhyNotEnrolledInRm');
Route::get('/care_months/view/{uid}/ACTION_generateBillForCm', 'care_months_SINGLE_Controller@ACTION_generateBillForCm')->name('care_months_SINGLE-ACTION_generateBillForCm');
Route::get('/care_months/view/{uid}/ACTION_generateBillForRm', 'care_months_SINGLE_Controller@ACTION_generateBillForRm')->name('care_months_SINGLE-ACTION_generateBillForRm');
Route::get('/care_months/view/{uid}/ACTION_setIsCmCanceledThisMonthToTrue', 'care_months_SINGLE_Controller@ACTION_setIsCmCanceledThisMonthToTrue')->name('care_months_SINGLE-ACTION_setIsCmCanceledThisMonthToTrue');
Route::get('/care_months/view/{uid}/ACTION_updateWhyIsCmCanceledThisMonth', 'care_months_SINGLE_Controller@ACTION_updateWhyIsCmCanceledThisMonth')->name('care_months_SINGLE-ACTION_updateWhyIsCmCanceledThisMonth');
Route::get('/care_months/view/{uid}/ACTION_setIsCmCanceledThisMonthToFalse', 'care_months_SINGLE_Controller@ACTION_setIsCmCanceledThisMonthToFalse')->name('care_months_SINGLE-ACTION_setIsCmCanceledThisMonthToFalse');
Route::get('/care_months/view/{uid}/ACTION_setIsRmCanceledThisMonthToTrue', 'care_months_SINGLE_Controller@ACTION_setIsRmCanceledThisMonthToTrue')->name('care_months_SINGLE-ACTION_setIsRmCanceledThisMonthToTrue');
Route::get('/care_months/view/{uid}/ACTION_updateWhyIsRmCanceledThisMonth', 'care_months_SINGLE_Controller@ACTION_updateWhyIsRmCanceledThisMonth')->name('care_months_SINGLE-ACTION_updateWhyIsRmCanceledThisMonth');
Route::get('/care_months/view/{uid}/ACTION_setIsRmCanceledThisMonthToFalse', 'care_months_SINGLE_Controller@ACTION_setIsRmCanceledThisMonthToFalse')->name('care_months_SINGLE-ACTION_setIsRmCanceledThisMonthToFalse');
Route::get('/care_months/view/{uid}/ACTION_setIsTmThisMonthToTrue', 'care_months_SINGLE_Controller@ACTION_setIsTmThisMonthToTrue')->name('care_months_SINGLE-ACTION_setIsTmThisMonthToTrue');
Route::get('/care_months/view/{uid}/ACTION_setIsTmThisMonthToFalse', 'care_months_SINGLE_Controller@ACTION_setIsTmThisMonthToFalse')->name('care_months_SINGLE-ACTION_setIsTmThisMonthToFalse');
Route::get('/care_months/view/{uid}/SUB_dashboard', 'care_months_SINGLE_Controller@SUB_dashboard')->name('care_months_SINGLE-SUB_dashboard');
Route::get('/care_months/view/{uid}/SUB_cm_time_entries', 'care_months_SINGLE_Controller@SUB_cm_time_entries')->name('care_months_SINGLE-SUB_cm_time_entries');
Route::get('/care_months/view/{uid}/SUB_rm_time_entries', 'care_months_SINGLE_Controller@SUB_rm_time_entries')->name('care_months_SINGLE-SUB_rm_time_entries');
Route::get('/care_months/view/{uid}/SUB_audit_log', 'care_months_SINGLE_Controller@SUB_audit_log')->name('care_months_SINGLE-SUB_audit_log');
Route::get('/care_months/view/{uid}/ACTION_cm_time_entriesAddNew', 'care_months_SINGLE_Controller@ACTION_cm_time_entriesAddNew')->name('care_months_SINGLE-ACTION_cm_time_entriesAddNew');
Route::get('/care_months/view/{uid}/ACTION_rm_time_entriesAddNew', 'care_months_SINGLE_Controller@ACTION_rm_time_entriesAddNew')->name('care_months_SINGLE-ACTION_rm_time_entriesAddNew');

// --- pro: care_month_entries --- //
Route::get('/care_month_entries', 'care_month_entries_Controller@index')->name('care_month_entries-index');
Route::get('/care_month_entries/view/{uid}', 'care_month_entries_Controller@view')->name('care_month_entries-view');

// --- pro: care_month_entries_SINGLE --- //
Route::get('/care_month_entries/view/{uid}/ACTION_updateContent', 'care_month_entries_SINGLE_Controller@ACTION_updateContent')->name('care_month_entries_SINGLE-ACTION_updateContent');
Route::get('/care_month_entries/view/{uid}/ACTION_updateTiming', 'care_month_entries_SINGLE_Controller@ACTION_updateTiming')->name('care_month_entries_SINGLE-ACTION_updateTiming');
Route::get('/care_month_entries/view/{uid}/SUB_dashboard', 'care_month_entries_SINGLE_Controller@SUB_dashboard')->name('care_month_entries_SINGLE-SUB_dashboard');

// --- pro: bills --- //
Route::get('/bills', 'bills_Controller@index')->name('bills-index');
Route::get('/bills/view/{uid}', 'bills_Controller@view')->name('bills-view');

// --- pro: bills_SINGLE --- //
Route::get('/bills/view/{uid}/ACTION_payHcpAmount', 'bills_SINGLE_Controller@ACTION_payHcpAmount')->name('bills_SINGLE-ACTION_payHcpAmount');
Route::get('/bills/view/{uid}/ACTION_payHcpDifferentAmount', 'bills_SINGLE_Controller@ACTION_payHcpDifferentAmount')->name('bills_SINGLE-ACTION_payHcpDifferentAmount');
Route::get('/bills/view/{uid}/ACTION_signAsHcp', 'bills_SINGLE_Controller@ACTION_signAsHcp')->name('bills_SINGLE-ACTION_signAsHcp');
Route::get('/bills/view/{uid}/ACTION_markSubmitted', 'bills_SINGLE_Controller@ACTION_markSubmitted')->name('bills_SINGLE-ACTION_markSubmitted');
Route::get('/bills/view/{uid}/ACTION_putCollectedAmount', 'bills_SINGLE_Controller@ACTION_putCollectedAmount')->name('bills_SINGLE-ACTION_putCollectedAmount');
Route::get('/bills/view/{uid}/SUB_dashboard', 'bills_SINGLE_Controller@SUB_dashboard')->name('bills_SINGLE-SUB_dashboard');
Route::get('/bills/view/{uid}/SUB_transactions', 'bills_SINGLE_Controller@SUB_transactions')->name('bills_SINGLE-SUB_transactions');
Route::get('/bills/view/{uid}/SUB_audit_log', 'bills_SINGLE_Controller@SUB_audit_log')->name('bills_SINGLE-SUB_audit_log');

// --- pro: transactions --- //
Route::get('/transactions', 'transactions_Controller@index')->name('transactions-index');

// --- pro: med_profile_lines --- //
Route::get('/med_profile_lines', 'med_profile_lines_Controller@index')->name('med_profile_lines-index');

// --- pro: med_profile_line_updates --- //
Route::get('/med_profile_line_updates', 'med_profile_line_updates_Controller@index')->name('med_profile_line_updates-index');

// --- pro: pro_access --- //
Route::get('/pro_access', 'pro_access_Controller@index')->name('pro_access-index');
Route::get('/pro_access/view/{uid}', 'pro_access_Controller@view')->name('pro_access-view');

// --- pro: pro_access_SINGLE --- //
Route::get('/pro_access/view/{uid}/ACTION_updateReason', 'pro_access_SINGLE_Controller@ACTION_updateReason')->name('pro_access_SINGLE-ACTION_updateReason');
Route::get('/pro_access/view/{uid}/ACTION_deactivate', 'pro_access_SINGLE_Controller@ACTION_deactivate')->name('pro_access_SINGLE-ACTION_deactivate');
Route::get('/pro_access/view/{uid}/ACTION_updateDeactivationMemo', 'pro_access_SINGLE_Controller@ACTION_updateDeactivationMemo')->name('pro_access_SINGLE-ACTION_updateDeactivationMemo');
Route::get('/pro_access/view/{uid}/ACTION_reactivate', 'pro_access_SINGLE_Controller@ACTION_reactivate')->name('pro_access_SINGLE-ACTION_reactivate');
Route::get('/pro_access/view/{uid}/ACTION_updateReactivationMemo', 'pro_access_SINGLE_Controller@ACTION_updateReactivationMemo')->name('pro_access_SINGLE-ACTION_updateReactivationMemo');
Route::get('/pro_access/view/{uid}/SUB_dashboard', 'pro_access_SINGLE_Controller@SUB_dashboard')->name('pro_access_SINGLE-SUB_dashboard');

// --- pro: mcp_updates --- //
Route::get('/mcp_updates', 'mcp_updates_Controller@index')->name('mcp_updates-index');

// --- pro: ally_updates --- //
Route::get('/ally_updates', 'ally_updates_Controller@index')->name('ally_updates-index');

// --- admin: facilities --- //
Route::get('/facilities', 'facilities_Controller@index')->name('facilities-index');
Route::get('/facilities/add_new', 'facilities_Controller@add_new')->name('facilities-add_new');
Route::get('/facilities/view/{uid}', 'facilities_Controller@view')->name('facilities-view');

// --- admin: facilities_SINGLE --- //
Route::get('/facilities/view/{uid}/ACTION_updateBasic', 'facilities_SINGLE_Controller@ACTION_updateBasic')->name('facilities_SINGLE-ACTION_updateBasic');
Route::get('/facilities/view/{uid}/ACTION_deactivate', 'facilities_SINGLE_Controller@ACTION_deactivate')->name('facilities_SINGLE-ACTION_deactivate');
Route::get('/facilities/view/{uid}/ACTION_updateDeactivationMemo', 'facilities_SINGLE_Controller@ACTION_updateDeactivationMemo')->name('facilities_SINGLE-ACTION_updateDeactivationMemo');
Route::get('/facilities/view/{uid}/ACTION_reactivate', 'facilities_SINGLE_Controller@ACTION_reactivate')->name('facilities_SINGLE-ACTION_reactivate');
Route::get('/facilities/view/{uid}/ACTION_updateReactivationMemo', 'facilities_SINGLE_Controller@ACTION_updateReactivationMemo')->name('facilities_SINGLE-ACTION_updateReactivationMemo');
Route::get('/facilities/view/{uid}/SUB_dashboard', 'facilities_SINGLE_Controller@SUB_dashboard')->name('facilities_SINGLE-SUB_dashboard');
Route::get('/facilities/view/{uid}/SUB_erx', 'facilities_SINGLE_Controller@SUB_erx')->name('facilities_SINGLE-SUB_erx');
Route::get('/facilities/view/{uid}/SUB_action_items', 'facilities_SINGLE_Controller@SUB_action_items')->name('facilities_SINGLE-SUB_action_items');
Route::get('/facilities/view/{uid}/SUB_audit_log', 'facilities_SINGLE_Controller@SUB_audit_log')->name('facilities_SINGLE-SUB_audit_log');

// --- admin: pros --- //
Route::get('/pros', 'pros_Controller@index')->name('pros-index');
Route::get('/pros/add_new', 'pros_Controller@add_new')->name('pros-add_new');
Route::get('/pros/view/{uid}', 'pros_Controller@view')->name('pros-view');

// --- admin: pros_SINGLE --- //
Route::get('/pros/view/{uid}/ACTION_sendCellNumberConfirmationMessage', 'pros_SINGLE_Controller@ACTION_sendCellNumberConfirmationMessage')->name('pros_SINGLE-ACTION_sendCellNumberConfirmationMessage');
Route::get('/pros/view/{uid}/ACTION_confirmCellNumberWithConfirmationToken', 'pros_SINGLE_Controller@ACTION_confirmCellNumberWithConfirmationToken')->name('pros_SINGLE-ACTION_confirmCellNumberWithConfirmationToken');
Route::get('/pros/view/{uid}/ACTION_putNewCellNumber', 'pros_SINGLE_Controller@ACTION_putNewCellNumber')->name('pros_SINGLE-ACTION_putNewCellNumber');
Route::get('/pros/view/{uid}/ACTION_confirmEmailAddressWithConfirmationToken', 'pros_SINGLE_Controller@ACTION_confirmEmailAddressWithConfirmationToken')->name('pros_SINGLE-ACTION_confirmEmailAddressWithConfirmationToken');
Route::get('/pros/view/{uid}/ACTION_putNewEmailAddress', 'pros_SINGLE_Controller@ACTION_putNewEmailAddress')->name('pros_SINGLE-ACTION_putNewEmailAddress');
Route::get('/pros/view/{uid}/ACTION_updateName', 'pros_SINGLE_Controller@ACTION_updateName')->name('pros_SINGLE-ACTION_updateName');
Route::get('/pros/view/{uid}/ACTION_updateProfession', 'pros_SINGLE_Controller@ACTION_updateProfession')->name('pros_SINGLE-ACTION_updateProfession');
Route::get('/pros/view/{uid}/ACTION_updateEnrolledHcpInfo', 'pros_SINGLE_Controller@ACTION_updateEnrolledHcpInfo')->name('pros_SINGLE-ACTION_updateEnrolledHcpInfo');
Route::get('/pros/view/{uid}/ACTION_putProfilePicture', 'pros_SINGLE_Controller@ACTION_putProfilePicture')->name('pros_SINGLE-ACTION_putProfilePicture');
Route::get('/pros/view/{uid}/ACTION_updatePhoneInfo', 'pros_SINGLE_Controller@ACTION_updatePhoneInfo')->name('pros_SINGLE-ACTION_updatePhoneInfo');
Route::get('/pros/view/{uid}/ACTION_updateAddress', 'pros_SINGLE_Controller@ACTION_updateAddress')->name('pros_SINGLE-ACTION_updateAddress');
Route::get('/pros/view/{uid}/ACTION_updatePaymentProcessingDetail', 'pros_SINGLE_Controller@ACTION_updatePaymentProcessingDetail')->name('pros_SINGLE-ACTION_updatePaymentProcessingDetail');
Route::get('/pros/view/{uid}/ACTION_uploadDriverLicense', 'pros_SINGLE_Controller@ACTION_uploadDriverLicense')->name('pros_SINGLE-ACTION_uploadDriverLicense');
Route::get('/pros/view/{uid}/ACTION_updateDriverLicenseInfo', 'pros_SINGLE_Controller@ACTION_updateDriverLicenseInfo')->name('pros_SINGLE-ACTION_updateDriverLicenseInfo');
Route::get('/pros/view/{uid}/ACTION_updateSsn', 'pros_SINGLE_Controller@ACTION_updateSsn')->name('pros_SINGLE-ACTION_updateSsn');
Route::get('/pros/view/{uid}/ACTION_sendEmailAddressConfirmationMessage', 'pros_SINGLE_Controller@ACTION_sendEmailAddressConfirmationMessage')->name('pros_SINGLE-ACTION_sendEmailAddressConfirmationMessage');
Route::get('/pros/view/{uid}/ACTION_setIsEnrolledAsHcpToTrue', 'pros_SINGLE_Controller@ACTION_setIsEnrolledAsHcpToTrue')->name('pros_SINGLE-ACTION_setIsEnrolledAsHcpToTrue');
Route::get('/pros/view/{uid}/ACTION_setIsEnrolledAsHcpToFalse', 'pros_SINGLE_Controller@ACTION_setIsEnrolledAsHcpToFalse')->name('pros_SINGLE-ACTION_setIsEnrolledAsHcpToFalse');
Route::get('/pros/view/{uid}/ACTION_setIsEnrolledAsMcpToTrue', 'pros_SINGLE_Controller@ACTION_setIsEnrolledAsMcpToTrue')->name('pros_SINGLE-ACTION_setIsEnrolledAsMcpToTrue');
Route::get('/pros/view/{uid}/ACTION_setIsEnrolledAsMcpToFalse', 'pros_SINGLE_Controller@ACTION_setIsEnrolledAsMcpToFalse')->name('pros_SINGLE-ACTION_setIsEnrolledAsMcpToFalse');
Route::get('/pros/view/{uid}/ACTION_removeProfilePicture', 'pros_SINGLE_Controller@ACTION_removeProfilePicture')->name('pros_SINGLE-ACTION_removeProfilePicture');
Route::get('/pros/view/{uid}/ACTION_updateW9Detail', 'pros_SINGLE_Controller@ACTION_updateW9Detail')->name('pros_SINGLE-ACTION_updateW9Detail');
Route::get('/pros/view/{uid}/ACTION_updateSignedContractPdf', 'pros_SINGLE_Controller@ACTION_updateSignedContractPdf')->name('pros_SINGLE-ACTION_updateSignedContractPdf');
Route::get('/pros/view/{uid}/ACTION_setIsPaymentProcessingDetailCompleteToTrue', 'pros_SINGLE_Controller@ACTION_setIsPaymentProcessingDetailCompleteToTrue')->name('pros_SINGLE-ACTION_setIsPaymentProcessingDetailCompleteToTrue');
Route::get('/pros/view/{uid}/ACTION_setIsPaymentProcessingDetailCompleteToFalse', 'pros_SINGLE_Controller@ACTION_setIsPaymentProcessingDetailCompleteToFalse')->name('pros_SINGLE-ACTION_setIsPaymentProcessingDetailCompleteToFalse');
Route::get('/pros/view/{uid}/ACTION_setIsDriverLicenseCompleteToTrue', 'pros_SINGLE_Controller@ACTION_setIsDriverLicenseCompleteToTrue')->name('pros_SINGLE-ACTION_setIsDriverLicenseCompleteToTrue');
Route::get('/pros/view/{uid}/ACTION_setIsDriverLicenseCompleteToFalse', 'pros_SINGLE_Controller@ACTION_setIsDriverLicenseCompleteToFalse')->name('pros_SINGLE-ACTION_setIsDriverLicenseCompleteToFalse');
Route::get('/pros/view/{uid}/ACTION_setIsSsnCompleteToTrue', 'pros_SINGLE_Controller@ACTION_setIsSsnCompleteToTrue')->name('pros_SINGLE-ACTION_setIsSsnCompleteToTrue');
Route::get('/pros/view/{uid}/ACTION_setIsSsnCompleteToFalse', 'pros_SINGLE_Controller@ACTION_setIsSsnCompleteToFalse')->name('pros_SINGLE-ACTION_setIsSsnCompleteToFalse');
Route::get('/pros/view/{uid}/SUB_dashboard', 'pros_SINGLE_Controller@SUB_dashboard')->name('pros_SINGLE-SUB_dashboard');
Route::get('/pros/view/{uid}/SUB_payment_schedule', 'pros_SINGLE_Controller@SUB_payment_schedule')->name('pros_SINGLE-SUB_payment_schedule');
Route::get('/pros/view/{uid}/SUB_teams', 'pros_SINGLE_Controller@SUB_teams')->name('pros_SINGLE-SUB_teams');
Route::get('/pros/view/{uid}/SUB_clients', 'pros_SINGLE_Controller@SUB_clients')->name('pros_SINGLE-SUB_clients');
Route::get('/pros/view/{uid}/SUB_pro_access', 'pros_SINGLE_Controller@SUB_pro_access')->name('pros_SINGLE-SUB_pro_access');
Route::get('/pros/view/{uid}/SUB_mcp_updates', 'pros_SINGLE_Controller@SUB_mcp_updates')->name('pros_SINGLE-SUB_mcp_updates');
Route::get('/pros/view/{uid}/SUB_ally_updates', 'pros_SINGLE_Controller@SUB_ally_updates')->name('pros_SINGLE-SUB_ally_updates');
Route::get('/pros/view/{uid}/SUB_erx', 'pros_SINGLE_Controller@SUB_erx')->name('pros_SINGLE-SUB_erx');
Route::get('/pros/view/{uid}/SUB_action_items', 'pros_SINGLE_Controller@SUB_action_items')->name('pros_SINGLE-SUB_action_items');
Route::get('/pros/view/{uid}/SUB_care_months', 'pros_SINGLE_Controller@SUB_care_months')->name('pros_SINGLE-SUB_care_months');
Route::get('/pros/view/{uid}/SUB_care_month_entries', 'pros_SINGLE_Controller@SUB_care_month_entries')->name('pros_SINGLE-SUB_care_month_entries');
Route::get('/pros/view/{uid}/SUB_notes', 'pros_SINGLE_Controller@SUB_notes')->name('pros_SINGLE-SUB_notes');
Route::get('/pros/view/{uid}/SUB_bills', 'pros_SINGLE_Controller@SUB_bills')->name('pros_SINGLE-SUB_bills');
Route::get('/pros/view/{uid}/SUB_pro_transactions', 'pros_SINGLE_Controller@SUB_pro_transactions')->name('pros_SINGLE-SUB_pro_transactions');
Route::get('/pros/view/{uid}/SUB_lobby_pros', 'pros_SINGLE_Controller@SUB_lobby_pros')->name('pros_SINGLE-SUB_lobby_pros');
Route::get('/pros/view/{uid}/SUB_sessions', 'pros_SINGLE_Controller@SUB_sessions')->name('pros_SINGLE-SUB_sessions');
Route::get('/pros/view/{uid}/SUB_audit_log', 'pros_SINGLE_Controller@SUB_audit_log')->name('pros_SINGLE-SUB_audit_log');
Route::get('/pros/view/{uid}/ACTION_payment_scheduleAddNew', 'pros_SINGLE_Controller@ACTION_payment_scheduleAddNew')->name('pros_SINGLE-ACTION_payment_scheduleAddNew');
Route::get('/pros/view/{uid}/ACTION_lobby_prosAddNew', 'pros_SINGLE_Controller@ACTION_lobby_prosAddNew')->name('pros_SINGLE-ACTION_lobby_prosAddNew');

// --- admin: pro_rates --- //
Route::get('/pro_rates', 'pro_rates_Controller@index')->name('pro_rates-index');
Route::get('/pro_rates/view/{uid}', 'pro_rates_Controller@view')->name('pro_rates-view');

// --- admin: pro_rates_SINGLE --- //
Route::get('/pro_rates/view/{uid}/ACTION_updateAmount', 'pro_rates_SINGLE_Controller@ACTION_updateAmount')->name('pro_rates_SINGLE-ACTION_updateAmount');
Route::get('/pro_rates/view/{uid}/SUB_dashboard', 'pro_rates_SINGLE_Controller@SUB_dashboard')->name('pro_rates_SINGLE-SUB_dashboard');

// --- admin: lobbies --- //
Route::get('/lobbies', 'lobbies_Controller@index')->name('lobbies-index');
Route::get('/lobbies/add_new', 'lobbies_Controller@add_new')->name('lobbies-add_new');
Route::get('/lobbies/view/{uid}', 'lobbies_Controller@view')->name('lobbies-view');

// --- admin: lobbies_SINGLE --- //
Route::get('/lobbies/view/{uid}/ACTION_putName', 'lobbies_SINGLE_Controller@ACTION_putName')->name('lobbies_SINGLE-ACTION_putName');
Route::get('/lobbies/view/{uid}/ACTION_putUrlSlug', 'lobbies_SINGLE_Controller@ACTION_putUrlSlug')->name('lobbies_SINGLE-ACTION_putUrlSlug');
Route::get('/lobbies/view/{uid}/ACTION_setIsStrangerAccessibleToTrue', 'lobbies_SINGLE_Controller@ACTION_setIsStrangerAccessibleToTrue')->name('lobbies_SINGLE-ACTION_setIsStrangerAccessibleToTrue');
Route::get('/lobbies/view/{uid}/ACTION_setIsStrangerAccessibleToFalse', 'lobbies_SINGLE_Controller@ACTION_setIsStrangerAccessibleToFalse')->name('lobbies_SINGLE-ACTION_setIsStrangerAccessibleToFalse');
Route::get('/lobbies/view/{uid}/ACTION_setIsClientAccessibleToTrue', 'lobbies_SINGLE_Controller@ACTION_setIsClientAccessibleToTrue')->name('lobbies_SINGLE-ACTION_setIsClientAccessibleToTrue');
Route::get('/lobbies/view/{uid}/ACTION_setIsClientAccessibleToFalse', 'lobbies_SINGLE_Controller@ACTION_setIsClientAccessibleToFalse')->name('lobbies_SINGLE-ACTION_setIsClientAccessibleToFalse');
Route::get('/lobbies/view/{uid}/SUB_dashboard', 'lobbies_SINGLE_Controller@SUB_dashboard')->name('lobbies_SINGLE-SUB_dashboard');
Route::get('/lobbies/view/{uid}/SUB_lobby_pros', 'lobbies_SINGLE_Controller@SUB_lobby_pros')->name('lobbies_SINGLE-SUB_lobby_pros');
Route::get('/lobbies/view/{uid}/SUB_meetings', 'lobbies_SINGLE_Controller@SUB_meetings')->name('lobbies_SINGLE-SUB_meetings');
Route::get('/lobbies/view/{uid}/ACTION_lobby_prosAddNew', 'lobbies_SINGLE_Controller@ACTION_lobby_prosAddNew')->name('lobbies_SINGLE-ACTION_lobby_prosAddNew');

// --- admin: meetings --- //
Route::get('/meetings', 'meetings_Controller@index')->name('meetings-index');
Route::get('/meetings/add_new', 'meetings_Controller@add_new')->name('meetings-add_new');
Route::get('/meetings/view/{uid}', 'meetings_Controller@view')->name('meetings-view');

// --- admin: meetings_SINGLE --- //
Route::get('/meetings/view/{uid}/ACTION_putLobby', 'meetings_SINGLE_Controller@ACTION_putLobby')->name('meetings_SINGLE-ACTION_putLobby');
Route::get('/meetings/view/{uid}/ACTION_putTargetLobbyPro', 'meetings_SINGLE_Controller@ACTION_putTargetLobbyPro')->name('meetings_SINGLE-ACTION_putTargetLobbyPro');
Route::get('/meetings/view/{uid}/ACTION_putTitle', 'meetings_SINGLE_Controller@ACTION_putTitle')->name('meetings_SINGLE-ACTION_putTitle');
Route::get('/meetings/view/{uid}/ACTION_putStrangerInfo', 'meetings_SINGLE_Controller@ACTION_putStrangerInfo')->name('meetings_SINGLE-ACTION_putStrangerInfo');
Route::get('/meetings/view/{uid}/ACTION_putMeetingNumber', 'meetings_SINGLE_Controller@ACTION_putMeetingNumber')->name('meetings_SINGLE-ACTION_putMeetingNumber');
Route::get('/meetings/view/{uid}/SUB_dashboard', 'meetings_SINGLE_Controller@SUB_dashboard')->name('meetings_SINGLE-SUB_dashboard');
Route::get('/meetings/view/{uid}/SUB_meeting_participants', 'meetings_SINGLE_Controller@SUB_meeting_participants')->name('meetings_SINGLE-SUB_meeting_participants');
Route::get('/meetings/view/{uid}/SUB_meeting_invitations', 'meetings_SINGLE_Controller@SUB_meeting_invitations')->name('meetings_SINGLE-SUB_meeting_invitations');
Route::get('/meetings/view/{uid}/SUB_meeting_rings', 'meetings_SINGLE_Controller@SUB_meeting_rings')->name('meetings_SINGLE-SUB_meeting_rings');
Route::get('/meetings/view/{uid}/SUB_meeting_knocks', 'meetings_SINGLE_Controller@SUB_meeting_knocks')->name('meetings_SINGLE-SUB_meeting_knocks');
Route::get('/meetings/view/{uid}/SUB_meeting_messages', 'meetings_SINGLE_Controller@SUB_meeting_messages')->name('meetings_SINGLE-SUB_meeting_messages');
Route::get('/meetings/view/{uid}/ACTION_meeting_participantsAddNew', 'meetings_SINGLE_Controller@ACTION_meeting_participantsAddNew')->name('meetings_SINGLE-ACTION_meeting_participantsAddNew');
Route::get('/meetings/view/{uid}/ACTION_meeting_invitationsAddNew', 'meetings_SINGLE_Controller@ACTION_meeting_invitationsAddNew')->name('meetings_SINGLE-ACTION_meeting_invitationsAddNew');

// --- admin: meeting_participants --- //
Route::get('/meeting_participants', 'meeting_participants_Controller@index')->name('meeting_participants-index');
Route::get('/meeting_participants/view/{uid}', 'meeting_participants_Controller@view')->name('meeting_participants-view');

// --- admin: meeting_participants_SINGLE --- //
Route::get('/meeting_participants/view/{uid}/SUB_dashboard', 'meeting_participants_SINGLE_Controller@SUB_dashboard')->name('meeting_participants_SINGLE-SUB_dashboard');

// --- admin: meeting_invitations --- //
Route::get('/meeting_invitations', 'meeting_invitations_Controller@index')->name('meeting_invitations-index');
Route::get('/meeting_invitations/view/{uid}', 'meeting_invitations_Controller@view')->name('meeting_invitations-view');

// --- admin: meeting_invitations_SINGLE --- //
Route::get('/meeting_invitations/view/{uid}/ACTION_cancel', 'meeting_invitations_SINGLE_Controller@ACTION_cancel')->name('meeting_invitations_SINGLE-ACTION_cancel');
Route::get('/meeting_invitations/view/{uid}/SUB_dashboard', 'meeting_invitations_SINGLE_Controller@SUB_dashboard')->name('meeting_invitations_SINGLE-SUB_dashboard');

// --- admin: meeting_rings --- //
Route::get('/meeting_rings', 'meeting_rings_Controller@index')->name('meeting_rings-index');
Route::get('/meeting_rings/view/{uid}', 'meeting_rings_Controller@view')->name('meeting_rings-view');

// --- admin: meeting_rings_SINGLE --- //
Route::get('/meeting_rings/view/{uid}/SUB_dashboard', 'meeting_rings_SINGLE_Controller@SUB_dashboard')->name('meeting_rings_SINGLE-SUB_dashboard');

// --- admin: meeting_knocks --- //
Route::get('/meeting_knocks', 'meeting_knocks_Controller@index')->name('meeting_knocks-index');
Route::get('/meeting_knocks/view/{uid}', 'meeting_knocks_Controller@view')->name('meeting_knocks-view');

// --- admin: meeting_knocks_SINGLE --- //
Route::get('/meeting_knocks/view/{uid}/SUB_dashboard', 'meeting_knocks_SINGLE_Controller@SUB_dashboard')->name('meeting_knocks_SINGLE-SUB_dashboard');

// --- admin: meeting_messages_SINGLE --- //
Route::get('/meeting_message/view/{uid}/SUB_dashboard', 'meeting_messages_SINGLE_Controller@SUB_dashboard')->name('meeting_messages_SINGLE-SUB_dashboard');

// --- admin: meeting_messages --- //
Route::get('/meeting_messages', 'meeting_messages_Controller@index')->name('meeting_messages-index');
Route::get('/meeting_message/view/{uid}', 'meeting_messages_Controller@view')->name('meeting_messages-view');

